FREXP(3)

NAME
frexp, ldexp, modf - split into mantissa and exponent

SYNOPSIS
double frexp(value, eptr)
double value;
int *eptr;

double ldexp(value, exp)
double value;

double modf(value, iptr)
double value, *iptr;

DESCRIPTION
Frexp returns the mantissa of a double value as a double quantity, x, of magnitude less than 1 and stores an integer n such that value = x*2n indirectly through eptr.

Ldexp returns the quantity value*2exp.

Modf returns the positive fractional part of value and stores the integer part indirectly through iptr.